#!/usr/bin/python -u
# This file is a portion of the Red Hat Network Panel Applet
#
# Copyright (C) 1999-2003 Red Hat, Inc. All Rights Reserved.
# Distributed under GPL version 2.
#
# This defines the class for a package repository source
#
# Author: Daniel Veillard
#
# $Id: rhn_applet_source.py,v 1.4 2004/10/06 04:36:47 alikins Exp $

import time

class rhnAppletSource:
    def __init__(self, url, release, arch):
        self.__next__checkin__ = 0
	self.__change_number__ = 0
        
    def set_next_checking(self, time):
        self.__next__checkin__ = time

    def _do_refresh(self):
        return

    def get_caps(self):
        return None

    def has_base_channel(self):
        return None

    def refresh(self, force=0):
        if not force and time.time() < self.__next__checkin__:
            return
        self._do_refresh()

    def latest_packages(self):
        return None

    def set_proxy(self, proxy_url, proxy_username, proxy_password):
        return
    
    def change_number(self):
        return self.__change_number__

    def inc_change_number(self):
        self.__change_number__ = self.__change_number__ + 1
